{ pkgs }:
with pkgs; [
  anki
  aqbanking
  aria2
  aspell
  aspellDicts.de
  aspellDicts.en
  aspellDicts.en-computers
  aspellDicts.en-science
  bash
  bat # cat with syntax highlighting and git integration
  binutils
  bluez-tools
  btop # htop
  choose # alternative to cut and awk with more readable syntax
  colordiff
  darcs
  delta # feature-rich diff viewer
  dig
  direnv
  dstat
  duf # disk usage
  dyff # diff tool for YAML
  element-desktop
  evince
  evolution
  ffmpeg
  file
  fuzzel
  fx # themable json viewer
  fzf
  fzf
  gdb
  gh
  ghidra-bin
  gimp
  glow
  glow # render markdown
  gnome.gnome-tweaks
  gnumake
  gnupg
  gping # ping with graphs
  graphviz
  grim
  gron # make json grepable
  h # Manage git repos
  hexyl # hex viewer
  htop
  http-prompt
  httpie
  hub
  hyperfine # A command-line benchmarking tool.
  icdiff
  imagemagick
  inkscape
  inotify-tools
  ioping # ping but for block devices
  iproute2
  iputils # tracepath
  irssi
  jameica
  jc # convert output to json
  josm
  jq
  kanshi
  kcachegrind
  keepassxc
  kubetail
  krita
  ldns
  liboping # oping, ping multiple hosts at once
  libreoffice
  libvirt
  lsof
  lynis
  man-pages
  mblaze
  mkpasswd
  mpv
  mtr
  mumble
  ncurses
  newsflash
  nixd
  nixfmt-rfc-style
  nfs-utils
  niv
  nix-index
  nmap
  nmon
  nodePackages.prettier
  map-cmd
  obs-studio
  offlineimap
  openscad
  openssl
  p7zip
  pandoc # document converter and templater
  pass
  pavucontrol
  picocom
  playerctl
  procs # ps in rust
  prusa-slicer
  pv
  pwgen
  (python3.withPackages (python-pkgs: with python-pkgs; [
    pandas
    requests
  ]))
  ranger
  recipemd
  reptyr
  ripgrep
  ripgrep
  saleae-logic-2
  sd # search and displace like sed but with better syntax
  sieveshell
  signal-desktop
  silver-searcher
  skim # fzf in Rust
  slurp
  socat
  solvespace
  spotify
  sqlite
  sshfs-fuse
  steam
  taplo
  tcpdump
  tdesktop
  tmux
  ttyd
  unzip
  usbutils
  vegur
  virt-manager
  viu # view images from the terminal
  vscodium
  whois
  wireshark
  xdg-utils
  xmlstarlet
  xsv # cut for csv
  unixtools.xxd
  xxh # portable shells
  yt-dlp
  # zotero Marked as insecure
  zeal
  zk
  zsh
]
